function output = hopper_air(t,Y,hopper)

% state vector is  
% 
% 		| y1		|          | y1_dot		| 
% 		| y1_dot	|          | y1_dot_dot	| 
% Y =   | y2		| 	Y_DOT =| y2_dot		| 	
% 		| y2_dot	|          | y2_dot_dot	| 
% 
% Find the A matrix and B input such that:
%
% Y_DOT = A * Y + B

if hopper.state_act == hopper.ON
    Fappl = hopper.F;
else
    Fappl = 0;
end

A = [	0			1			0			0;
		-hopper.k/hopper.m1	-hopper.b/hopper.m1 hopper.k/hopper.m1 hopper.b/hopper.m1;
		0			0			0			1;
		hopper.k/hopper.m2	hopper.b/hopper.m2	-hopper.k/hopper.m2	-hopper.b/hopper.m2];
B = [	0;
        Fappl/hopper.m1-hopper.g;
        0;
        -Fappl/hopper.m2-hopper.g];
    
Y_DOT = A*Y + B;

output = Y_DOT;
