    function [value,isterminal,direction] = hopper_events(t,y,hopper)
        mass_height=y(1);
        mass_vel=y(2);
        foot_height=y(3);
        foot_vel=y(4);

        %  1.) Transition from clamped to free when x-dot > 0 and r=(F-mg)/k
        %  2.) Apply -F during free
        %  3.) Clamp at x-dot = 0
        %  4.) Step up force when you cross the sliding down boundary
        
        if hopper.state_act == hopper.ON
            Fappl = hopper.F;
        else
            Fappl = 0;
        end

       Fn=Fappl+hopper.m2*hopper.g-hopper.k*mass_height-hopper.b*mass_vel;
       switch hopper.state_foot
            case hopper.GROUND  %Terminate when ground reaction = 0 or time to change force
                value = [Fn             % GRF
                         mod(t,hopper.period)-hopper.duty*hopper.period/2 %Turn F ON
                         mod(t,hopper.period)-hopper.duty*hopper.period/2-hopper.duty*hopper.period]';  % Turn F OFF
                isterminal = [1, 1, 1]';
                direction =  [-1; 1; 1]';
            case hopper.AIR     % Terminate when foot hits ground or time to change force
       value = [foot_height     % Foot Contact
                mod(t,hopper.period)-hopper.duty*hopper.period/2  %Turn F ON
                mod(t,hopper.period)-hopper.duty*hopper.period/2-hopper.duty*hopper.period]';  % Turn F OFF
                isterminal = [1, 1, 1]';
                direction = [-1; 1; 1]';
        end  %switch
    end  %end function, hopper_events.
%-------------------------------------------------------------------
