function output = hopper_ground(t,y,hopper)
% state vector is  
% 
% 		| y1		|          | y1_dot		| 
% 		| y1_dot	|          | y1_dot_dot	| 
% Y =   | y2		| 	Y_DOT =| y2_dot		| 	
% 		| y2_dot	|          | y2_dot_dot	| 
% 
% Find the A matrix and B input such that:
%
% Y_DOT = A * Y + B

if hopper.state_act == hopper.ON
    Fappl = hopper.F;
else
    Fappl = 0;
end

output = [  y(2)
            (-hopper.k*y(1)-hopper.b*y(2)-hopper.m1*hopper.g+Fappl)/hopper.m1
            0
            0];
