% hopper_multi_run.m
%
%  Adds multiple runs of a hopper at different activation frequencies, and
%  records the steady state height amplitude and periodicity.
%  - Adds more fn sets to data array

%overwriting default freq, period, fn, zeta, k, b...

%fn_new = [1.25; 3.75];
fn_new = [4; 6];
zeta = 0.5;

%% Resulting numbers:
fn = [fn; fn_new];
wn = fn*2*pi;
k=hopper.m1*wn.^2;
b=2*hopper.m1*zeta.*wn;


for iter2=size(data,2)+1:size(fn,1)
    for iter1=1:size(freq,1)
        hopper.k = k(iter2);
        hopper.b = b(iter2);
        hopper.fn = sqrt(hopper.k/hopper.m1)/(2*pi);        % natural frequency of sprung mass
        hopper.z = hopper.b*0.5/sqrt(hopper.m1*hopper.k);	% damping ration of sprung mass

        hopper.frequency=freq(iter1);
        hopper.period = 1/hopper.frequency;
        sprintf('K=%0.1f, Frequency: %0.1f, %d/%d',hopper.k,hopper.frequency,iter1,size(freq,1))
        [data(iter1,iter2),ss_height(iter1,iter2),periodicity(iter1,iter2)]=hopper_sim(hopper,t_start,t_final,y0);
    end
end

hopper_multi_plot;
hopper_plot(data(1))